let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
type Side = "top" | "bottom" | "left" | "right";

export const panelData = async (
  organization: string,
  zoneUuid: string,
  panelOrder: Side[]
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/panel/save`, {
      method: "POST",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ organization, zoneUuid, panelOrder }),
    });
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }

    if (!response.ok) {
      console.error("Failed to add panelOrder for Zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to fetch panel data");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
